#ifndef _PaletteFile_H_
#define _PaletteFile_H_

#include "stdafx.h"
#include "fileformatdefs.h"
#include "vardefs.h"
#include <stdio.h>
#include "basefile.h"

/*! This is used to deal with \b Palette (.DAT) files */
class PaletteFile : public BaseFile
{
public:

	/*! Read a \b Palette file straight from the GroupFile */
	PaletteFile(FILESTRUCT* data);

	/*! Load a \b Palette file from disk */
	PaletteFile(const char* sFilename);

	/*! Create an empty \b Palette file */
	PaletteFile();

	~PaletteFile();
	
	/*! Returns the number of palette lookups */	
	uint16 GetNumPalLookups(){ return m_Palette.numpalookups; }

	/*! Returns a pointer to the actual formatted Palette data */	
	PALETTESTRUCT* GetDataHandle(){ return &m_Palette; }

protected:

	/*! The actual formatted Palette data */	
	PALETTESTRUCT m_Palette;
};

#endif

